<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>GP Turismo - Dashboard</title>

    <!-- Vue JS -->
    <script src="https://cdn.jsdelivr.net/npm/vue"></script>
    <!-- Axios -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.19.2/axios.min.js"></script>

    <!-- Bootstrap CSS CDN -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css"
        integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <!-- Our Custom CSS -->
    <link rel="stylesheet" href="style.css">

    <!-- Font Awesome JS -->
    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/solid.js"
        integrity="sha384-tzzSw1/Vo+0N5UhStP3bvwWPq+uvzCMfrN1fEFe+xBmv1C/AtVX5K0uZtmcHitFZ"
        crossorigin="anonymous"></script>
    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/fontawesome.js"
        integrity="sha384-6OIrr52G08NpOFSZdxxz1xdNSndlD4vdcf/q2myIUVO0VsqaGHJsB0RaBE01VTOY"
        crossorigin="anonymous"></script>
</head>

<body>
    <div id="app">
        <div class="wrapper">
            <!-- Sidebar  -->
            <nav id="sidebar">
                <div class="sidebar-header">
                    <h3>GP Turismo</h3>
                </div>

                <ul class="list-unstyled components">
                    <p>Menu</p>
                    <li class="active">
                        <a href="#homeSubmenu" data-toggle="collapse" aria-expanded="false"
                            class="dropdown-toggle">Viagens</a>
                        <ul class="collapse list-unstyled" id="homeSubmenu">
                            <li>
                                <a href="#">Criar Viagem</a>
                            </li>
                            <li>
                                <a href="#">Editar Viagem</a>
                            </li>
                            <li>
                                <a href="#">Listar Viagem</a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <a href="#pageSubmenu" data-toggle="collapse" aria-expanded="false"
                            class="dropdown-toggle">Configuração Viagens</a>
                        <ul class="collapse list-unstyled" id="pageSubmenu">
                            <li>
                                <a href="#">Paradas</a>
                            </li>
                            <li>
                                <a href="#">Motoristas</a>
                            </li>
                            <li>
                                <a href="#">Excursão</a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <a href="#pageConfigmenu" data-toggle="collapse" aria-expanded="false"
                            class="dropdown-toggle">Configuração do Administrador</a>
                        <ul class="collapse list-unstyled" id="pageConfigmenu">
                            <li>
                                <a href="#">Alterar Email</a>
                            </li>
                            <li>
                                <a href="#">Alterar Senha</a>
                            </li>
                            <li>
                                <a href="#">Alterar Algo</a>
                            </li>
                        </ul>
                    </li>

                </ul>

                <ul class="list-unstyled CTAs">
                    <li>
                        <a href="#" class="download">Outros</a>
                    </li>
                    <li>
                        <a href="#" class="article">Sair</a>
                    </li>
                </ul>
            </nav>

            <!-- Page Content  -->
            <div id="content">

                <!-- Adicionar -->


                <div class="card">
                    <h5 class="card-header">Adicionar Viagens</h5>

                    <div class="card-body">
                        <form>
                            <div class="form-group">
                                <input type="text" class="form-control" name="cidadePartida" ref="cidadePartida"
                                    v-model="viagem.cidadePartida" placeholder="Origem">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control" name="cidadeChegada" v-model="viagem.cidadeChegada"
                                    placeholder="Destino">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control" name="horaPartida" v-model="viagem.horaPartida"
                                    placeholder="Horas da Partida">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control" name="horaChegada" v-model="viagem.horaChegada"
                                    placeholder="Horas da Chegada">
                            </div>

                            <div class="form-group">
                                <input type="text" class="form-control" name="valor" v-model="viagem.valor"
                                    placeholder="Valor">
                            </div>

                            <span>Tipo da Viagem: </span>
                            <div class="form-group">
                                <input type="radio" name="tipoViagem" v-model="viagem.tipoViagem" value="estudante">
                                <label for="estudante">Estudante</label>
                                <input type="radio" name="tipoViagem" v-model="viagem.tipoViagem" value="excursao">
                                <label for="excursao">Excursão</label>
                            </div>

                            <div class="btn-group w-100" role="group">
                                <input type="submit" class="btn btn-primary" value='Salvar'>
                                <input type="reset" class="btn btn-danger" value='Limpar'>
                            </div>

                        </form>

                    </div>
                </div>



                <!-- Listar -->
                <div class="col-sm-8">
                    <div class="card">
                        <h5 class="card-header">Lista de Excursões</h5>
                        
                        <div class="card-body">
                            
                        <span>Estudante</span>
                            <table class="table table-hover table-sm">
                                <thead>
                                    <tr>
                                        <th>Cód.</th>
                                        <th>Origem</th>
                                        <th>Destino</th>
                                        <th>Valor</th>
                                        <th>Horário Saída</th>
                                        <th>Horário Chegada</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr v-for="viagem in viagens" v-bind:key="viagem.id"
                                        v-if="viagem.tipo === 'estudante'">
                                        <td>{{viagem.id}}</td>
                                        <td>{{viagem.origem}}</td>
                                        <td>{{viagem.destino}}</td>
                                        <td>{{viagem.valor}}</td>
                                        <td>{{viagem.horaSaida}}</td>
                                        <td>{{viagem.horaChegada}}</td>
                                    </tr>
                                </tbody>
                            </table>

                            <span>Excursão</span>
                            <table class="table table-hover table-sm">
                                <thead>
                                    <tr>
                                        <th>Cód.</th>
                                        <th>Origem</th>
                                        <th>Destino</th>
                                        <th>Valor</th>
                                        <th>Horário Saída</th>
                                        <th>Horário Chegada</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr v-for="viagem in viagens" v-bind:key="viagem.id"
                                        v-if="viagem.tipo === 'excursao'">
                                        <td>{{viagem.id}}</td>
                                        <td>{{viagem.origem}}</td>
                                        <td>{{viagem.destino}}</td>
                                        <td>{{viagem.valor}}</td>
                                        <td>{{viagem.horaSaida}}</td>
                                        <td>{{viagem.horaChegada}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
    <script src="Dashboard.js"></script>
    <!-- jQuery CDN - Slim version (=without AJAX) -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <!-- Popper.JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"
        integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
        crossorigin="anonymous"></script>
    <!-- Bootstrap JS -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js"
        integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm"
        crossorigin="anonymous"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $('#sidebarCollapse').on('click', function () {
                $('#sidebar').toggleClass('active');
            });
        });
    </script>
</body>

</html>